curl --request PATCH \
--url https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/business-info \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"about": "Phonovation Business Account",
"address": "35-38 New Bridge Street, London EC4V 6BW",
"description": "Phonovation is a global cloud communications platform.",
"email": "info@example.com",
"vertical": "PROFESSIONAL_SERVICES",
"websites": [
"https://www.phonovation.com"
],
"logoUrl": "https://example.com/logo"
}
'import requests
url = "https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/business-info"
payload = {
"about": "Phonovation Business Account",
"address": "35-38 New Bridge Street, London EC4V 6BW",
"description": "Phonovation is a global cloud communications platform.",
"email": "info@example.com",
"vertical": "PROFESSIONAL_SERVICES",
"websites": ["https://www.phonovation.com"],
"logoUrl": "https://example.com/logo"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/business-info");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"about\": \"Phonovation Business Account\",\n \"address\": \"35-38 New Bridge Street, London EC4V 6BW\",\n \"description\": \"Phonovation is a global cloud communications platform.\",\n \"email\": \"info@example.com\",\n \"vertical\": \"PROFESSIONAL_SERVICES\",\n \"websites\": [\n \"https://www.phonovation.com\"\n ],\n \"logoUrl\": \"https://example.com/logo\"\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.patch("https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/business-info")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"about\": \"Phonovation Business Account\",\n \"address\": \"35-38 New Bridge Street, London EC4V 6BW\",\n \"description\": \"Phonovation is a global cloud communications platform.\",\n \"email\": \"info@example.com\",\n \"vertical\": \"PROFESSIONAL_SERVICES\",\n \"websites\": [\n \"https://www.phonovation.com\"\n ],\n \"logoUrl\": \"https://example.com/logo\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/business-info",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'about' => 'Phonovation Business Account',
'address' => '35-38 New Bridge Street, London EC4V 6BW',
'description' => 'Phonovation is a global cloud communications platform.',
'email' => 'info@example.com',
'vertical' => 'PROFESSIONAL_SERVICES',
'websites' => [
'https://www.phonovation.com'
],
'logoUrl' => 'https://example.com/logo'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
about: 'Phonovation Business Account',
address: '35-38 New Bridge Street, London EC4V 6BW',
description: 'Phonovation is a global cloud communications platform.',
email: 'info@example.com',
vertical: 'PROFESSIONAL_SERVICES',
websites: ['https://www.phonovation.com'],
logoUrl: 'https://example.com/logo'
})
};
fetch('https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/business-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Update business info of WhatsApp sender
Update WhatsApp sender business information, such as about, address, description, email, vertical, websites, and logo.
Required scope: Enable one of: whatsapp:manage.
curl --request PATCH \
--url https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/business-info \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"about": "Phonovation Business Account",
"address": "35-38 New Bridge Street, London EC4V 6BW",
"description": "Phonovation is a global cloud communications platform.",
"email": "info@example.com",
"vertical": "PROFESSIONAL_SERVICES",
"websites": [
"https://www.phonovation.com"
],
"logoUrl": "https://example.com/logo"
}
'import requests
url = "https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/business-info"
payload = {
"about": "Phonovation Business Account",
"address": "35-38 New Bridge Street, London EC4V 6BW",
"description": "Phonovation is a global cloud communications platform.",
"email": "info@example.com",
"vertical": "PROFESSIONAL_SERVICES",
"websites": ["https://www.phonovation.com"],
"logoUrl": "https://example.com/logo"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/business-info");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"about\": \"Phonovation Business Account\",\n \"address\": \"35-38 New Bridge Street, London EC4V 6BW\",\n \"description\": \"Phonovation is a global cloud communications platform.\",\n \"email\": \"info@example.com\",\n \"vertical\": \"PROFESSIONAL_SERVICES\",\n \"websites\": [\n \"https://www.phonovation.com\"\n ],\n \"logoUrl\": \"https://example.com/logo\"\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.patch("https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/business-info")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"about\": \"Phonovation Business Account\",\n \"address\": \"35-38 New Bridge Street, London EC4V 6BW\",\n \"description\": \"Phonovation is a global cloud communications platform.\",\n \"email\": \"info@example.com\",\n \"vertical\": \"PROFESSIONAL_SERVICES\",\n \"websites\": [\n \"https://www.phonovation.com\"\n ],\n \"logoUrl\": \"https://example.com/logo\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/business-info",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'about' => 'Phonovation Business Account',
'address' => '35-38 New Bridge Street, London EC4V 6BW',
'description' => 'Phonovation is a global cloud communications platform.',
'email' => 'info@example.com',
'vertical' => 'PROFESSIONAL_SERVICES',
'websites' => [
'https://www.phonovation.com'
],
'logoUrl' => 'https://example.com/logo'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
about: 'Phonovation Business Account',
address: '35-38 New Bridge Street, London EC4V 6BW',
description: 'Phonovation is a global cloud communications platform.',
email: 'info@example.com',
vertical: 'PROFESSIONAL_SERVICES',
websites: ['https://www.phonovation.com'],
logoUrl: 'https://example.com/logo'
})
};
fetch('https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/business-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Registered WhatsApp sender number. Must be in international format.
1 - 15[0-9]+Body
Manages the content of the sender's About section.
130"Phonovation Business Account"
Street address of the business.
256"35-38 New Bridge Street, London EC4V 6BW"
Description of the business.
512"Phonovation is a global cloud communications platform."
Email of the business.
128"info@example.com"
Business vertical.
AUTOMOTIVE, BEAUTY_AND_SPA_AND_SALON, CLOTHING_AND_APPAREL, EDUCATION, ENTERTAINMENT, EVENT_PLANNING_AND_SERVICE, FINANCE_AND_BANKING, FOOD_AND_GROCERY, PUBLIC_SERVICE, HOTEL_AND_LODGING, MEDICAL_AND_HEALTH, NON_PROFIT, PROFESSIONAL_SERVICES, SHOPPING_AND_RETAIL, TRAVEL_AND_TRANSPORTATION, RESTAURANT, OTHER, UNKNOWN "PROFESSIONAL_SERVICES"
Websites of the business.
2Websites of the business.
256"https://www.phonovation.com"
URL of the business' logo. Must be a valid URL starting with https:// or http://. Supported logo types are JPEG, PNG. Log file should be at least 192x192 pixels and at most 640x640 pixels.
2048"https://example.com/logo"
Response
WhatsApp sender business info updated.